// $Id: Doctype.java,v 1.4 2001/11/14 11:47:42 jeff Exp $
/*
 * Copyright (c) 1999-2001 by Simon St.Laurent and Jeff Turner.  All Rights
 * Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */

package net.socialchange.doctype;

/**
 * Stores all information in a DOCTYPE declaration.
 *
 * @author <a href="jeff@socialchange.net.au">Jeff Turner</a>
 * @version $Revision: 1.4 $ $Date: 2001/11/14 11:47:42 $
 */

public interface Doctype {
	/**
	 * &lt;!DOCTYPE <b>html</b> PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" [&lt;!ENTITY name "Joe"&gt;]&gt;
	 */
	String getRootElement();
	/**
	 * &lt;!DOCTYPE html PUBLIC "<b>-//W3C//DTD XHTML 1.0 Strict//EN</b>" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" [&lt;!ENTITY name "Joe"&gt;]&gt;
	 */
	String getPublicId();
	/**
	 * &lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "<b>http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd</b>" [&lt;!ENTITY name "Joe"&gt;]"&gt;
	 */
	String getSystemId();
	/**
	 * &lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" [<b>&lt;!ENTITY name "Joe"&gt;</b>]&gt;
	 */
	String getInternalSubset();
}
