// $Id: DoctypeGenerator.java,v 1.4 2001/11/14 11:47:42 jeff Exp $
/*
 * Copyright (c) 1999-2001 by Simon St.Laurent and Jeff Turner.  All Rights
 * Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */

package net.socialchange.doctype;

/**
 * Generates a new doctype declaration.
 *
 * <p>
 * This class is where all the logic lives. You are given the old doctype
 * declaration (if any), and based on that, get to specify what the new doctype
 * declaration (if any) should look like.
 * </p>
 * <p>For examples of how to use this, see the <a
 * href="../../../overview-summary.html">package overview</a>.
 * </p>
 *
 * @author <a href="jeff@socialchange.net.au">Jeff Turner</a>
 * @version $Revision: 1.4 $ $Date: 2001/11/14 11:47:42 $
 */

public interface DoctypeGenerator {

	/**
	 * Method which generates a new doctype declaration. 
	 * @param oldDoctype The old doctype declaration read from the InputStream.
	 * <code>null</code> if no doctype declaration was read.
	 * @return The doctype declaration you wish to replace the old one with. If
	 * <code>null</code>, no new doctype decl. will be added.
	 */
	Doctype generate(Doctype oldDoctype);

}
