// $Id: DoctypeImpl.java,v 1.2 2001/11/14 11:47:42 jeff Exp $
/*
 * Copyright (c) 1999-2001 by Simon St.Laurent and Jeff Turner.  All Rights
 * Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */

package net.socialchange.doctype;

/** Read-only object representing a doctype declaration.
*
* @author <a href="jeff@socialchange.net.au">Jeff Turner</a>
* @version $Revision: 1.2 $ $Date: 2001/11/14 11:47:42 $
*/

public final class DoctypeImpl implements Doctype {
	private final String rootElement;
	private final String pubId;
	private final String sysId;
	private final String intSubset;

	public DoctypeImpl (
			final String rootElement, 
			final String pubId,
			final String sysId,
			final String intSubset
			)
	{
		this.rootElement = rootElement;
		this.pubId = pubId;
		this.sysId = sysId;
		this.intSubset = intSubset;
	}

	public final String getRootElement() {
		return this.rootElement;
	}
	public final String getPublicId() {
		return this.pubId;
	}
	public final String getSystemId() {
		return this.sysId;
	}
	public final String getInternalSubset() {
		return this.intSubset;
	}
}
