// $Id: Version.java,v 1.2 2001/11/14 11:47:42 jeff Exp $
/*
 * Copyright (c) 1999-2001 by Simon St.Laurent and Jeff Turner.  All Rights
 * Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */

package net.socialchange.doctype;

/**
 * This class defines the version number of this code.
 *
 * @version
 * $Revision: 1.2 $ $Id: Version.java,v 1.2 2001/11/14 11:47:42 jeff Exp $
 */
public class Version {
	static String eol;

	static {
		String  temp;
		try { temp = System.getProperty ("line.separator", "\n"); }
		catch (SecurityException e) { temp = "\n"; }
		eol = temp;
	}

	/** Version string. */
	public static String  fVersion = 
		"Package:        @name@ @version@	@date@  @time@ (hhmm)"+eol+
		"Classes:        @packages@"+eol+
		"Description:    @description@"+eol+
		"Last tag:       "+eol+
		"Last committer: $Date: 2001/11/14 11:47:42 $ $Author: jeff $"+eol+
		"Copyright:      @year@ @copyright.holder@";

	/**
	 * Prints out the version number to System.out. This is needed
	 * for the build system.
	 */
	public static void main(String argv[]) {
		System.out.println(fVersion);
	}

	/** Get the jar version string. Not particularly machine-parseable.*/
	public static String getVersion() {
		return fVersion;
	}
} // class Version
